#pragma once

#include "CoreMinimal.h"
#include "PlayerPerspectiveChangeTargetData.generated.h"

class USceneComponent;

USTRUCT(BlueprintType)
struct FPlayerPerspectiveChangeTargetData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsAFirstPersonView;

	UPROPERTY(BlueprintReadWrite, Transient, Instanced)
	USceneComponent* SceneComponent;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float CameraDistanceFromFPVLocationToToggleFPVOnPlayer;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName SocketNameOnSceneComponent;

public:
	DEADBYDAYLIGHT_API FPlayerPerspectiveChangeTargetData();
};

FORCEINLINE uint32 GetTypeHash(const FPlayerPerspectiveChangeTargetData) { return 0; }
